summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorSascha Hauer <s.hauer@pengutronix.de>2006-05-04 08:38:06 +0000
committerSascha Hauer <s.hauer@pengutronix.de>2006-05-04 08:38:06 +0000
commita9100d78693ff044b182510d4e516d54b2327fd6 (patch)
tree22e6edb1e2b4cdcaa3c63d6a00607a492ca905d1 /bin
parent2c548d8f50a69a20e072d9192f4e940031efc65c (diff)
downloadptxdist-a9100d78693ff044b182510d4e516d54b2327fd6.tar.gz
ptxdist-a9100d78693ff044b182510d4e516d54b2327fd6.tar.xz
be more verbose for newpacket target, add help text for newpacket, use name instead of --name for newpacket target
git-svn-id: https://svn.pengutronix.de/svn/ptxdist/trunks/ptxdist-0.10-trunk@5467 33e552b5-05e3-0310-8538-816dae2090ed
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ptxdist15
1 files changed, 9 insertions, 6 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index 1bf983e20..e031ff7a3 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -259,6 +259,9 @@ Misc
test <testname> run tests
+ newpacket <type> create a new packet Makefile in a rules dir
+ type can be one of host, target, cross
+
Environment:
PREFIX=<path> build into this directory, instead of
@@ -364,7 +367,11 @@ newpacket () {
host) TEMPLATE=template-host ;;
target) TEMPLATE=template ;;
cross) TEMPLATE=template-cross ;;
- *) echo; echo "${PROMPT}error: illegal argument"; echo; exit 1 ;;
+ *) echo
+ echo "${PROMPT}error: illegal packet type: $1"
+ echo "must be one of host, target, cross"
+ echo
+ exit 1 ;;
esac
echo
@@ -764,11 +771,7 @@ while [ "$#" != "0" ]; do
exit 1
fi
shift
- case $1 in
- --target) newpacket target ;;
- --host) newpacket host ;;
- --cross) newpacket cross ;;
- esac
+ newpacket "$1"
exit $?
;;
oldconfig) shift